/* 
 * File:   main.c
 * Author: chengo
 *
 * Created on October 16, 2019, 3:23 AM
 */

#include <xc.h>
#include <stdio.h>
#include <stdlib.h>
//------------------------------------------------------------------------------
#define _XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include "Lcd4.h"
#include "Time_functions.h"
#include "PCF2123.h"
//------------------------------------------------------------------------------
char time[7] = {59,9,18,22,5,10,19}; //Secs,Mins,hrs,Month Day,Week Day,Month,Year
char strOut[30]; 
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  LCD_init();
  PCF2123_init();
  
  PCF2123_Write(time);
  
  while(1)
  {   
   PCF2123_Read(time);
   
   sprintf(strOut,"Time: %s",get_fullTimeStr(time));
   LCD_string(0,0,strOut);
  
   sprintf(strOut,"Date: %s",get_fullDateStr(time));
   LCD_string(1,0,strOut);
   
   __delay_ms(1000);
  }  
   
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------